Subject: Re: [PATCH] git send-email: include [anything]-by: signatures

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 4 Sep 2013 11:09:28 +0300

On Tue, Sep 03, 2013 at 02:39:05PM -0700, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
> 
> > On Wed, Sep 04, 2013 at 12:01:49AM +0300, Michael S. Tsirkin wrote:
> >
> >> > The question of course is the first point Peff raised.  I am not
> >> > sure offhand what the right per-project customization interface
> >> > would be.  A starting point might be something like:
> >> > 
> >> > 	--cc-trailer=signed-off-by,acked-by,reviewed-by
> >> 
> >> tested-by, reported-by ...
> >
> > Yeah, I think having the list customizable is nice, but not allowing
> > some pattern matching seems unfriendly, as it requires the user to
> > enumerate a potentially long list.
> >
> >> > 	--cc-trailer='*-by'
> >> > 
> >> > and an obvious configuration variable that gives the default for it.
> >> > That would eventually allow us not to special case any fixed set of
> >> > trailers like S-o-b like the current code does, which would be a big
> >> > plus.
> >> 
> >> What bothers me is that git normally uses gawk based patterns,
> >> but send-email is in perl so it has a different syntax for regexp.
> >> What do you suggest?  Make a small binary to do the matching for us?
> >
> > Would fnmatch-style globbing (like "*-by") be enough? That should be
> > easy to do in perl.
> 
> Web query finds File::FnMatch; I do not know if that is the most
> commonly used, or if it comes with the base distribution, though.

It's also just a wrapper for the system's fnmatch - so I expect
it doesn't work in the mingw environment.

-- 
MST